{
  "compilerOptions": {
    "target": "ES2020",
    "module": "CommonJS",
    "strict": true,
    "moduleResolution": "node",
    "skipLibCheck": true,
    "baseUrl": ".",
    "paths": { "@/*": ["src/*"] },
    "lib": ["ES2020"],
    "outDir": "dist",
    "rootDir": "src",
    "declaration": true,
    "declarationMap": true,
    "plugins": [
      // Transform paths in output .js files
      { "transform": "typescript-transform-paths" },
      // Transform paths in output .d.ts files (Include this line if you output declarations files)
      { "transform": "typescript-transform-paths", "afterDeclarations": true }
    ]
  },
  "include": ["src/**/*.ts"],
  "exclude": ["node_modules"]
}
